> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getfernand.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Q&A message

Updates an existing Q\&A source that was created from a conversation message. If the source doesn't exist yet, it will be created. This allows editing auto-generated Q\&A pairs.


## OpenAPI

````yaml https://api.getfernand.com/openapi.json patch /organization/rag/sources/questions/{message_id}
openapi: 3.0.3
info:
  title: Fernand API Documentation
  version: '3.0'
  description: This is the documentation for the [Fernand](https://getfernand.com) API.
  termsOfService: https://getfernand.com/terms
  contact:
    name: Fernand Support
    url: https://getfernand.com
    email: support@getfernand.com
  x-logo:
    url: https://app.getfernand.com/images/favicon/icon_128.png
servers:
  - url: https://api.getfernand.com
    description: ''
    x-last-modified: 1764750693905
security:
  - apiKeyHeader: []
externalDocs:
  description: You can access our documentation online by visiting https://api.fernand.help
  url: https://api.fernand.help
paths:
  /organization/rag/sources/questions/{message_id}:
    patch:
      tags:
        - RAG (AI data)
      summary: Update Q&A message
      description: >-
        Updates an existing Q&A source that was created from a conversation
        message. If the source doesn't exist yet, it will be created. This
        allows editing auto-generated Q&A pairs.
      operationId: updateAIQuestionFromMessage
      parameters:
        - name: message_id
          in: path
          required: true
          schema:
            type: integer
          description: ID of the message to update.
          example: 12345
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                questions:
                  type: array
                  items:
                    type: string
                    maxLength: 250
                  example:
                    - How do I reset my password?
                answer:
                  type: string
                  maxLength: 5000
                  example: To reset your password...
              required:
                - questions
                - answer
      responses:
        '202':
          description: Q&A source queued for update.
          content:
            application/json:
              schema:
                type: object
        '400':
          description: Invalid input.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
components:
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      description: >-
        Authenticate your account by including your secret key in API requests.

        You can manage your API keys in the
        [Dashboard](https://app.getfernand.com/).


        Authentication to the API is performed by using the HTTP Header
        X-API-Key.
      name: X-API-Key
      in: header
      x-last-modified: 1764750344730

````